## org.gnu.gtk.event
Class GtkEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ActionEvent, AdjustmentEvent, ButtonEvent, CalendarEvent, CellEditableEvent, CellRendererTextEvent, CellRendererToggleEvent, CheckMenuItemEvent, ColorButtonEvent, ColorSelectionEvent, ComboBoxEvent, ConfigureEvent, ContainerEvent, DialogEvent, DragEvent, EntryCompletionEvent, EntryEvent, ExpanderEvent, ExposeEvent, FileChooserEvent, FocusEvent, FontButtonEvent, HandleBoxEvent, IconViewEvent, ItemEvent, KeyEvent, LifeCycleEvent, MenuItemEvent, MouseEvent, MouseMotionEvent, NotebookEvent, OptionMenuEvent, RangeEvent, ScaleEvent, SpinEvent, StatusBarEvent, TextBufferEvent, TextViewEvent, ToggleEvent, ToggleToolButtonEvent, ToolBarEvent, ToolButtonEvent, TreeModelEvent, TreeSelectionEvent, TreeViewColumnEvent, TreeViewEvent, UIManagerEvent

public class GtkEvent
extends java.lang.Object
implements java.io.Serializable

See Also:
  `FocusEvent`, `KeyEvent`, `LifeCycleEvent`, `MouseEvent`, Serialized Form

Constructor Summary
`GtkEvent(java.lang.Object source, EventType type)` Construct a GtkEvent object with the specified source object and type.

Method Summary
`java.lang.Object` `getSource()` Returns the object on which the event originally occured
`EventType` `getType()`
`java.lang.String` `toString()` Generates a string representation of the event.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GtkEvent

    public GtkEvent(java.lang.Object source,
                    EventType type)

  Construct a GtkEvent object with the specified source object and type.

Parameters:
  `source` - the object where the event originated.
  `type` - the event type.
Throws:
  `java.lang.IllegalArgumentException` - if the source object is null

Method Detail

### getSource

    public java.lang.Object getSource()

  Returns the object on which the event originally occured

  Returns:
    Object on which the event originally occured

### getType

    public EventType getType()

  Returns:
    The type of the event.

### toString

    public java.lang.String toString()

  Generates a string representation of the event. Useful for debugging applications.

  Returns:
    string representation of event.